@echo off
setlocal
set DIR_ERROR=0

:: Mount point for ISO and directory for Jar distributions
set ISO_INSTALL_PATH=E:\X3Installs

:: Directory that contins the automatic install files 
set INSTALL_SCRIPT_FOLDER=C:\X3InstallScripts

:: Jar file names for the version you are installing 
set MONGODB_JAR=mongo-db-4.4.12.9.jar
set ADXADMIN_JAR=adxadmin-95.2.97.jar
set DBSQL_JAR=db-sql-3.0.0-win.jar
set APPLICATION_JAR=x3-application-12.0.33.jar
set RUNTIME_JAR=runtime-95.2.97.jar
set SYRACUSE_JAR=syracuse-server-12.18.0.50.jar
set CONSOLE_JAR=console-2.57.0.11-win.jar
set PRINTSERVER_JAR=print-server-2.28.0.10-win.jar


:: Test if ISO is present
if not exist %ISO_INSTALL_PATH%\. (
  set DIR_ERROR=1
  echo ISO distribution directory %ISO_INSTALL_PATH% does not exist !!!
)

if %DIR_ERROR%==0 goto PROCEED

Pause
goto EXITSCRIPT

:PROCEED
:: Now working...

:: 1 - MONGODB
java -jar %ISO_INSTALL_PATH%\MongoDB\%MONGODB_JAR% %INSTALL_SCRIPT_FOLDER%\MongoDB.xml

:: echo Waiting about 10 secs before next step...
ping -n 10 localhost >NUL: 2>&1

:: 2 - ADXADMIN
java -jar %ISO_INSTALL_PATH%\AdxAdmin\%ADXADMIN_JAR% %INSTALL_SCRIPT_FOLDER%\Adxadmin.xml

echo Waiting about 10 secs before next step...
ping -n 10 localhost >NUL: 2>&1

:: 3 - DBSQL
java -jar %ISO_INSTALL_PATH%\DbSQL\%DBSQL_JAR% %INSTALL_SCRIPT_FOLDER%\DbSql.xml

echo Waiting about 10 secs before next step...
ping -n 10 localhost >NUL: 2>&1

:: 4 - X3 APPLICATION
java -jar %ISO_INSTALL_PATH%\Application\%APPLICATION_JAR% %INSTALL_SCRIPT_FOLDER%\Application.xml

echo Waiting about 10 secs before next step...
ping -n 10 localhost >NUL: 2>&1

:: 5 - RUNTIME
java -jar %ISO_INSTALL_PATH%\Runtime\%RUNTIME_JAR% %INSTALL_SCRIPT_FOLDER%\Runtime.xml

echo Waiting about 10 secs before next step...
ping -n 10 localhost >NUL: 2>&1

:: 6 - SYRACUSE
java -jar %ISO_INSTALL_PATH%\SyracuseServer\%SYRACUSE_JAR% %INSTALL_SCRIPT_FOLDER%\Syracuse.xml

echo Waiting about 10 secs before next step...
ping -n 10 localhost >NUL: 2>&1

:: 7 - CONSOLE
java -jar %ISO_INSTALL_PATH%\Console\%CONSOLE_JAR% %INSTALL_SCRIPT_FOLDER%\Console.xml

echo Waiting about 10 secs before next step...
ping -n 10 localhost >NUL: 2>&1

:: 8 - PRINTSERVER
java -jar %ISO_INSTALL_PATH%\PrintServer\%PRINTSERVER_JAR% %INSTALL_SCRIPT_FOLDER%\Print.xml

echo Check above if all components installed successfully.
pause

:EXITSCRIPT