#########################################################################################################
# This script can be used to Extract SEED From the x3-seed*.iso supplied by Sage
#########################################################################################################

$zipFilePath = "E:\Seed\x3-seed-12.0.33.zip"
$extractPath = "D:\Sage\X3V12\folders"
$seedFolderName = "SEED"

# Create the target extraction folder if it doesn't exist
if (-not (Test-Path -Path $extractPath)) {
    New-Item -ItemType Directory -Path $extractPath -Force
}

# Use 7-Zip to extract the SEED folder
$exePath = "C:\Program Files\7-Zip\7z.exe"  # Adjust the path if necessary
$arguments = "x `"$zipFilePath`" `"$seedFolderName\*`" -o`"$extractPath`" -r"

$process = Start-Process -FilePath $exePath -ArgumentList $arguments -PassThru -WindowStyle Normal
$process.WaitForExit()

Write-Host "Extraction completed."
Pause  # This will keep the PowerShell window open


