#########################################################################################################
# This script can be used to Extract X3_PUB\SEED From the x3-seed*.iso supplied by Sage
#########################################################################################################

# Adjust the paths ($zipFilePath, $extractPath, and $exePath) 
# to match your actual file paths and the path to the 7-Zip executable.

$zipFilePath = "E:\Seed\x3-seed-12.0.33.zip"
$extractPath = "D:\Sage\X3V12\folders"
$tempX3PubFolderName = "TEMP_X3PUB"
$x3PubFolderName = "X3_PUB"

# Set the custom SEED folder name
$destinationFolderName = "SEED2"

# Create the target temporary X3_PUB folder

$tempX3PubPath = Join-Path $extractPath $tempX3PubFolderName
if (-not (Test-Path -Path $tempX3PubPath)) {
    New-Item -ItemType Directory -Path $tempX3PubPath -Force
}

# Use 7-Zip to extract the X3_PUB folder to the temporary location

$exePath = "C:\Program Files\7-Zip\7z.exe"  # Adjust the path if necessary
$arguments = "x `"$zipFilePath`" `"$x3PubFolderName\*`" -o`"$tempX3PubPath`" -r"

$process = Start-Process -FilePath $exePath -ArgumentList $arguments -PassThru -WindowStyle Normal
$process.WaitForExit()

# Move SEED folder from TEMP_X3PUB\X3_PUB to X3_PUB

$tempX3PubX3PubPath = Join-Path $tempX3PubPath $x3PubFolderName
$targetX3PubPath = Join-Path $extractPath $x3PubFolderName
$seedFolderPath = Join-Path $tempX3PubX3PubPath $destinationFolderName

if (Test-Path -Path $seedFolderPath) {
    Move-Item -Path $seedFolderPath -Destination $targetX3PubPath -Force
    Write-Host "SEED folder '$destinationFolderName' moved to X3_PUB."
} else {
    Write-Host "SEED folder '$destinationFolderName' not found in TEMP_X3PUB\X3_PUB."
}

# Clean up the temporary X3_PUB folder

Remove-Item -Path $tempX3PubPath -Force -Recurse

Write-Host "Extraction and moving completed."
